{
  "schema_version": "1.4.0",
  "id": "GHSA-jw74-hhvm-7qcr",
  "modified": "2022-05-17T02:32:01Z",
  "published": "2022-05-17T02:32:01Z",
  "aliases": [
    "CVE-2017-6355"
  ],
  "details": "Integer overflow in the vrend_create_shader function in vrend_renderer.c in virglrenderer before 0.6.0 allows local guest OS users to cause a denial of service (process crash) via crafted pkt_length and offlen values, which trigger an out-of-bounds access.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-6355"
    },
    {
      "type": "WEB",
      "url": "https://cgit.freedesktop.org/virglrenderer/commit/?id=93761787b29f37fa627dea9082cdfc1a1ec608d6"
    },
    {
      "type": "WEB",
      "url": "https://lists.freedesktop.org/archives/virglrenderer-devel/2017-February/000145.html"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201707-06"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2017/02/27/3"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/96460"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-03-10T02:59:00Z"
  }
}